{
 // NOTE: The first engry group should always be executable.
 
 seq0 :
 [
   { loc:-1  mod:m1, type:exec val:init     }
   { loc:-1                    val:default  }
   { loc:18                    val:preset_a }
   { loc:37                    val:preset_g }
 ]

 seq1 :
 [
   { loc:-1  mod:m1, type:exec val:init     }
   { loc:-1                    val:default  }
   { loc:18                    val:preset_a }
   { loc:37                    val:preset_g }
 ]

 init : 
 [
   // wnd len:1=512 2=1024 3=2048 4=4096 5=8192
   { loc:-1, mod:m1, var:win0, type:set, rate:100, val:3 },
   {                 var:win1, type:set, rate:100, val:2 },

   // hop: 1=1 2=2 3=4 4=8 5=16
   {                 var:hop0, type:set, rate:100, val:3 },
   {                 var:hop1, type:set, rate:100, val:3 },

   {                 var:mod0, type:set, val:1   },
   {                 var:mod1, type:set, val:1  },

   {                 var:thr0, type:set, val:65 },
   {                 var:thr1, type:set, val:65 },

   {                 var:upr0, type:set, val:0 },
   {                 var:upr1, type:set, val:0 },
   {                 var:lwr0, type:set, val:2.0 },
   {                 var:lwr1, type:set, val:2.0 },
   
   {                 var:off0, type:set, val:20 },
   {                 var:off1, type:set, val:20 },

   {                 var:wet0, type:set, val:0.0 },
   {                 var:wet1, type:set, val:0.0 },

   {                 var:mint0, type:set, val:55 },
   {                 var:maxt0, type:set, val:85 },
   {                 var:minu0, type:set, val:0.0 },
   {                 var:maxu0, type:set, val:0.5 },
   {                 var:minl0, type:set, val:0 },
   {                 var:maxl0, type:set, val:3 },
   {                 var:mino0, type:set, val:-100.0 },
   {                 var:maxo0, type:set, val:100.0 },


   {                 var:mint1, type:set, val:55 },
   {                 var:maxt1, type:set, val:85 },
   {                 var:minu1, type:set, val:0.0 },
   {                 var:maxu1, type:set, val:0.5 },
   {                 var:minl1, type:set, val:0 },
   {                 var:maxl1, type:set, val:3 },
   {                 var:mino1, type:set, val:-100.0 },
   {                 var:maxo1, type:set, val:100.0 },
   
   {                 var:xfad0, type:set, val:100.0 },
   {                 var:sw0,   type:decl, val:1 },	
   {                 var:xfad1, type:set, val:100.0 },
   {                 var:sw1,   type:decl, val:1 },	

   // compressor
   {                 var:cbyp0,    type:set, val:0.0 },
   {                 var:cigain0,  type:set, val:3.0 },
   {                 var:cthrsh0,  type:set, val:-20.0 },
   {                 var:cratio0,  type:set, val:2.0 },
   {                 var:catkms0,  type:set, val:20.0 },
   {                 var:crlsms0,  type:set, val:1000.0 },
   {                 var:cmakeup0, type:set, val:1.0 },
   {                 var:cwndms0,  type:set, val:200 },

   {                 var:cbyp1,    type:set, val:0.0 },
   {                 var:cigain1,  type:set, val:3.0 },
   {                 var:cthrsh1,  type:set, val:-20.0 },
   {                 var:cratio1,  type:set, val:2.0 },
   {                 var:catkms1,  type:set, val:20.0 },
   {                 var:crlsms1,  type:set, val:1000.0 },
   {                 var:cmakeup1, type:set, val:1.0 },
   {                 var:cwndms1,  type:set, val:200 },
   
   {                 var:dgain0,   type:set, val:1.0 },
   {                 var:dgain1,   type:set, val:1.0 },
   {                 var:wgain0,   type:set, val:1.0 },
   {                 var:wgain1,   type:set, val:1.0 },
  ]

   default :
  [
   {  loc: -1, mod:m1   var:mod0,	type:set, val:1    },
   {                    var:cigain0,    type:set, val: 5.0  },
   {                    var:wet0        type:set, val: 0.0}
   {                    var:sw0,        type:set, val:0 },	

   {                    var:mod1        type:set, val:1    },
   {                    var:cigain1,    type:set, val: 5.0  },
   {                    var:wet1        type:set, val: 0.0}
   {                    var:sw1,        type:set, val:0 },	

  ]

   preset_a :
   [
   { loc: -1, mod:m1, var:mod0,    type:set, val: 1   },
   {                var:thr0,    type:set, val: 60.0 },
   {                var:upr0,    type:set, val: -1.1 },
   {                var:lwr0,    type:set, val: 2.0  },
   {                var:cbyp0,   type:set, val: 0.0 },
   {                var:cigain0, type:set, val: 6.0  },
   {                var:wet0     type:set, val: 1.0}
   {                var:wgain0,  type:set, val: 1.75 }
   {                var:sw0,     type:set, val:0 },	

   {                var:mod1,    type:set, val: 1   },		 
   {                var:thr1,    type:set, val: 60.0 },
   {                var:upr1,    type:set, val: -0.99 },
   {                var:lwr1,    type:set, val: 2.0  },
   {                var:cbyp1,   type:set, val: 0.0 },
   {                var:cigain1, type:set, val: 6.0  },
   {                var:wet1     type:set, val: 1.0}
   {                var:wgain1,  type:set, val: 1.75  }
   {                var:sw1,     type:set, val:0 },	
   ]

   preset_g :
   [
   { loc:-1,  mod:m1, var:mod0,    type:set, val: 4 },
   {                  var:thr0,    type:set, val: 60.0 },
   {                  var:upr0,    type:set, val: -0.7 },
   {                  var:lwr0,    type:set, val: 8.0  },
   {                  var:off0,    type:set, val: 20.0 }
   {                  var:cigain0, type:set, val: 10.0  },
   {                  var:wet0     type:set, val: 1.0 }
   {                  var:sw0,     type:set, val:0 },	

   {                  var:mod1,    type:set, val: 4 },
   {                  var:thr1,    type:set, val: 64.0 },
   {                  var:upr1,    type:set, val: -0.7 },
   {                  var:lwr1,    type:set, val: 8.0  },
   {                  var:off1,    type:set, val: 20.0 }
   {                  var:cigain1, type:set, val: 10.0  },
   {                  var:wet1     type:set, val: 1.0 }
   {                  var:sw1,     type:set, val:0 },	
   ]
   
  
}